##Summary Results (.vsum)
The .vsum file includes total / average results for each calculation run in one execution (ie. click of [START Button](#main-form)). The file is located in the directory of the fist run .vecto file.

***Quantities:***

|          Name         |                 Unit                 |                                                                                                                                                        Description                                                                                                                                                        |
|-----------------------|--------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Job                   | [-]                                  | Job number in the format "X-Y" (with X as filenumber, and Y as cycle number)                                                                                                                                                                                                                                              |
| Input File            | [-]                                  | Name of the input job file (.vecto)                                                                                                                                                                                                                                                                                       |
| Cycle                 | [-]                                  | Name of the cycle file (or cycle name in declaration mode)                                                                                                                                                                                                                                                                |
| Status                | [-]                                  | The result status of the run (Success, Aborted)                                                                                                                                                                                                                                                                           |
| Mass                  | [kg]                                 | Vehicle mass (**Curb Weight Vehicle** + **Curb Weight Extra Trailer/Body**, see [Vehicle Editor](#vehicle-editor))                                                                                                                                                                                                        |
| Loading               | [kg]                                 | Vehicle loading (see [Vehicle Editor](#vehicle-editor))                                                                                                                                                                                                                                                                   |
| Cargo Volume          | [m^3]                                | Vehicle cargo volume (Declaration Mode only!)                                                                                                                                                                                                                                                                   |
| time                  | [s]                                  | Total simulation time                                                                                                                                                                                                                                                                                                     |
| distance              | [km]                                 | Total traveled distance                                                                                                                                                                                                                                                                                                   |
| speed                 | [km/h]                               | Average vehicle speed                                                                                                                                                                                                                                                                                                     |
| altitudeDelta         | [m]                                  | Altitude difference between start and end of cycle                                                                                                                                                                                                                                                                        |
| FC-Map                | [g/h], [g/km]                        | Average fuel consumption before all corrections, interpolated from [Fuel Map](#fuel-consumption-calculation), based on torque and engine speed.                                                                                                                                                                           |
| FC-AUXc               | [g/h], [g/km]                        | Average fuel consumption after [Auxiliary-Start/Stop Correction](#fuel-consumption-calculation) (Based on FC-Map)                                                                                                                                                                                                         |
| FC-WHTCc              | [g/h], [g/km]                        | Average fuel consumption after [WHTC Correction](#fuel-consumption-calculation) (Based on FC-AUXc)                                                                                                                                                                                                                        |
| FC-AAUX               | [g/h], [g/km]                        | Average fuel consumption after Smart Auxiliary Correction (*still in development*) (Based on FC-WHTCc)                                                                                                                                                                                                                    |
| FC-Final              | [g/h], [g/km], [l/100km], [l/100tkm], [l/100m^3km] | Final average fuel consumption after ALL corrections. Value for calculation of CO~2~ value. If Loading = 0[kg] the column [l/100tkm] is left empty.                                                                                                                                                                       |
| CO2                   | [g/km], [g/tkm], [g/m^3km]           | Average CO~2~ emissions (based on FC-Final value). Output for [l/100tkm] is empty when Loading = 0[kg].                                                                                                                                                                                                                   |
| P_wheel_in_pos        | [kW]                                 | Average positive power at the wheels                                                                                                                                                                                                                                                                                      |
| P_fcmap_pos           | [kW]                                 | Average positive power at engine (all non-negative values averaged over the whole cycle duration)                                                                                                                                                                                                    |
| E_fcmap_pos           | [kWh]                                | Total positive work provided by the combustion engine.  |
| E_fcmap_neg           | [kWh]                                | Total energy  |
| E_powertrain_inertia  | [kWh]                                | Total work of engine, torqueconverter, and gearbox inertia  |
| E_aux_xxx             | [kWh]                                | Total energy demand of auxiliary with ID xxx. See also [Aux Dialog](#auxiliary-dialog) and [Driving Cycle](#driving-cycles). In Declaration Mode the following auxiliaries always exists: E_aux_FAN (Fan), E_aux_PS (Pneumatic System), E_aux_STP (Steering Pump), E_aux_ES (Electrical System), E_aux_AC (Air Condition) |
| E_aux_sum             | [kWh]                                | Total energy demand of all auxiliaries                                                                                                                                                                                                                                                                                    |
| E_clutch_loss         | [kWh]                                | Total energy loss in the clutch                                                                                                                                                                                                                                                                                    |
| E_tc_loss             | [kWh]                                | Total torque converter energy loss                                                                                                                                                                                                                                                                                        |
| E_gbx_loss            | [kWh]                                | Total transmission energy losses at gearbox (includes loss-map, inertia, gear-shifts)                                                                                                                                                                                                                                                                              |
| E_shift_loss          | [kWh]                                | Total energy losses due to gearshifts                                                                                                                                                                                                                                                                               |
| E_ret_loss            | [kWh]                                | Total retarder energy loss                                                                                                                                                                                                                                                                                                |
| E_angle_loss          | [kWh]                                | Total torque converter energy loss                                                                                                                                                                                                                                                                                        |
| E_axl_loss            | [kWh]                                | Total transmission energy losses at the axlegear                                                                                                                                                                                                                                                                          |
| E_brake               | [kWh]                                | Total work dissipated in mechanical braking (sum of service brakes, retader and additional engine exhaust brakes)                                                                                                                                                                                                         |
| E_vehicle_inertia     | [kWh]                                | Total work of wheels inertia and vehicle mass                                                                                                                                                                                                                                                                                 |
| E_air                 | [kWh]                                | Total work of air resistance                                                                                                                                                                                                                                                                                              |
| E_roll                | [kWh]                                | Total work of rolling resistance                                                                                                                                                                                                                                                                                          |
| E_grad                | [kWh]                                | Total work of gradient resistance                                                                                                                                                                                                                                                                                         |
| E_PTO_CONSUM          | [kWh]                                | Total energy demand of the pto consumer (if a pto consumer was used).                                                                                                                                                                                                                                                     |
| E_PTO_TRANSM          | [kWh]                                | Total energy demand of the pto transmission (if a pto transmission was used).                                                                                                                                                                                                                                             |
| a                     | [m/s^2^]                             | Average acceleration                                                                                                                                                                                                                                                                                                      |
| a_pos                 | [m/s^2^]                             | Average acceleration in acceleration phases (a~3s~ \> 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                          |
| a_neg                 | [m/s^2^]                             | Average deceleration in deceleration phases (a~3s~ \< 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                          |
| AccelerationTimeShare | [%]                                  | Time share of acceleration phases (a~3s~ \> 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                    |
| DecelerationTimeShare | [%]                                  | Time share of deceleration phases (a~3s~ \< 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                    |
| CruiseTimeShare       | [%]                                  | Time share of cruise phases (-0.125 ≤ a~3s~ ≤ 0.125 \[m/s^2^\])                                                                                                                                                                                                                                                           |
| StopTimeShare         | [%]                                  | Time share of stop phases (v \< 0.1 \[m/s\])                                                                                                                                                                                                                                                                              |

E_fcmap_pos = E_fcmap_neg + E_powertrain_inertia + E_aux_xxx + E_aux_sum + E_clutch_loss + E_tc_loss + E_gbx_loss + E_ret_loss + E_angle_loss + E_axl_loss + E_brake + E_vehicle_inertia + E_air + E_roll + E_grad + E_PTO_CONSUM + E_PTO_TRANSM

E_fcmap_pos = P_fcmap_pos * time
